import request from '@/utils/request'

// 查询设备参数信息列表
export function listParam(query) {
  return request({
    url: '/dms/param/list',
    method: 'get',
    params: query
  })
}

// 查询设备参数信息详细
export function getParam(deviceParamId) {
  return request({
    url: '/dms/param/' + deviceParamId,
    method: 'get'
  })
}

// 新增设备参数信息
export function addParam(data) {
  return request({
    url: '/dms/param',
    method: 'post',
    data: data
  })
}

// 修改设备参数信息
export function updateParam(data) {
  return request({
    url: '/dms/param',
    method: 'put',
    data: data
  })
}

// 删除设备参数信息
export function delParam(deviceParamId) {
  return request({
    url: '/dms/param/' + deviceParamId,
    method: 'delete'
  })
}
